<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head } from '@inertiajs/inertia-vue3';
import { Link } from '@inertiajs/inertia-vue3';
import TasksForm from '@/Pages/Tasks/Components/TasksForm.vue'
</script>

<template>
    <Head title="Dashboard" />

    <AuthenticatedLayout>
        <template #header>
            <div class="flex justify-between items-center py-3">
                <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                    إنشاء مهمة جديدة
                </h2>
            </div>
        </template>

        <div className="py-12">
            <div className="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div className="bg-white overflow-hidden shadow-sm sm:rounded-sm">
                    <div className='py-10 px-8'>
                        <h3 className='pb-10 text-2xl text-center font-extrabold'>مهمة جديدة</h3>
                        <TasksForm users={props.users} />
                    </div>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>
